package com.liangjian.dataplatform.member.entity.tag;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;


public class EsTagInfo {

    @JsonProperty(value="TagId")
    @ApiModelProperty("标签id")
    private String tagId;

    @JsonProperty(value="TagKey")
    @ApiModelProperty("标签key")
    private String tagKey;

    @JsonProperty(value="TagName")
    @ApiModelProperty("标签名称")
    private String tagName;

    @JsonProperty(value="TagTypeId")
    @ApiModelProperty("标签分类")
    private String tagTypeId;

    @JsonProperty(value="TagTypeName")
    @ApiModelProperty("标签分类名称")
    private String tagTypeName;

    @JsonProperty(value = "Text")
    private String text;

    @JsonProperty(value = "Id")
    private String id;

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTagId() {
        return tagId;
    }

    public void setTagId(String tagId) {
        this.tagId = tagId;
    }

    public String getTagKey() {
        return tagKey;
    }

    public void setTagKey(String tagKey) {
        this.tagKey = tagKey;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getTagTypeId() {
        return tagTypeId;
    }

    public void setTagTypeId(String tagTypeId) {
        this.tagTypeId = tagTypeId;
    }

    public String getTagTypeName() {
        return tagTypeName;
    }

    public void setTagTypeName(String tagTypeName) {
        this.tagTypeName = tagTypeName;
    }
}
